<p-panel>
	<p-header>
		{{'mpmApp.vehicleDocumentRequirement.labelInputName' | translate}}
	</p-header>
	<div class="modal-body">
		<p-accordion>
			<p-accordionTab header="{{'mpmApp.salesUnitRequirement.dealDetail.dataCustomer' | translate}}">
					<div *ngIf="salesUnitRequirement.idReqTyp != 12">
						<jhi-isinama-customer-view 
							[readonly]="true"
							[idCustomer]="salesUnitRequirement.customerId"
							[idReqTyp]="salesUnitRequirement.idReqTyp"
						></jhi-isinama-customer-view>
					</div>
					<!-- <div *ngIf="salesUnitRequirement.idReqTyp == 12">
						<jhi-organization-view [organization]="organizationCustomer.organization">
						</jhi-organization-view>
					</div> -->
				</p-accordionTab>
			<p-accordionTab header="Data Stnk" *ngIf="!vehicleDocumentRequirement.organizationOwner">
				<div class="ui-g">
					<div class="ui-g-6">
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelFullName">Nama Lengkap *</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.name }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelNoHandphone">No. Handphone *</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.cellPhone1 }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelOtherHp">No. Handphone Lain</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.cellPhone2 }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelTelp">No. Telp</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.phone }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelKtp">No. KTP</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.personalIdNumber }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelNpwp">No. NPWP</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.taxIdNumber }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelReligion">Agama</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.religionTypeId }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelGender">Jenis Kelamin</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.gender }}
							</label>
						</div>
					</div>
					<div class="ui-g-6">
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelProvince">Provinsi</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.postalAddress.provinceName }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelCity">Kota / Kabupaten</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.postalAddress.cityName }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelDistrict">Kecamatan</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.postalAddress.districtName }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelVillage">Kelurahan / Desa</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.postalAddress.villageName }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelAddress">Alamat</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.personOwner.postalAddress.address1 }}
							</label>
						</div>
					</div>
				</div>
			</p-accordionTab>
			<p-accordionTab header="Data Stnk" *ngIf="vehicleDocumentRequirement.organizationOwner">
					<div class="ui-g">
						<div class="ui-g-6">
							<div class="ui-g-12">
								<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelFullName">Nama Lengkap *</label>
								<label class="form-control-label ui-g-6">
									: {{ vehicleDocumentRequirement.organizationOwner.name }}
								</label>
							</div>
							<div class="ui-g-12">
								<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelTelp">No. Telp</label>
								<label class="form-control-label ui-g-6">
									: {{ vehicleDocumentRequirement.organizationOwner.officePhone }}
								</label>
							</div>
							<div class="ui-g-12">
								<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelNpwp">No. NPWP</label>
								<label class="form-control-label ui-g-6">
									: {{ vehicleDocumentRequirement.organizationOwner.npwp }}
								</label>
							</div>
						</div>
						<div class="ui-g-6">
							<div class="ui-g-12">
								<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelProvince">Provinsi</label>
								<label class="form-control-label ui-g-6">
									: {{ vehicleDocumentRequirement.organizationOwner.postalAddress.provinceName }}
								</label>
							</div>
							<div class="ui-g-12">
								<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelCity">Kota / Kabupaten</label>
								<label class="form-control-label ui-g-6">
									: {{ vehicleDocumentRequirement.organizationOwner.postalAddress.cityName }}
								</label>
							</div>
							<div class="ui-g-12">
								<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelDistrict">Kecamatan</label>
								<label class="form-control-label ui-g-6">
									: {{ vehicleDocumentRequirement.organizationOwner.postalAddress.districtName }}
								</label>
							</div>
							<div class="ui-g-12">
								<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelVillage">Kelurahan / Desa</label>
								<label class="form-control-label ui-g-6">
									: {{ vehicleDocumentRequirement.organizationOwner.postalAddress.villageName }}
								</label>
							</div>
							<div class="ui-g-12">
								<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelAddress">Alamat</label>
								<label class="form-control-label ui-g-6">
									: {{ vehicleDocumentRequirement.organizationOwner.postalAddress.address1 }}
								</label>
							</div>
						</div>
					</div>
				</p-accordionTab>
			<p-accordionTab header="{{'mpmApp.vehicleDocumentRequirement.labelDataVehicle' | translate}}">
				<div class="ui-g">
					<div class="ui-g-6">
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelTypeCode">Kode Tipe</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.vehicle.productId }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelMarketName">Market Name</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.vehicle.productName }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelColor">Warna</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.vehicle.featureId }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelProductionYear">Tahun Produksi</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.vehicle.yearOfAssembly }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelNoChassis">No. Rangka</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.vehicle.idFrame }}
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelNoMachine">No. Mesin</label>
							<label class="form-control-label ui-g-6">
								: {{ vehicleDocumentRequirement.vehicle.idMachine }}
							</label>
						</div>
					</div>
					<div class="ui-g-6">
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelRequestNotes">Note Permintaan Noka dan Nosin</label>
							<label class="form-control-label ui-g-6">
								:
							</label>
						</div>
						<div class="ui-g-12">
							<label class="form-control-label ui-g-6" jhiTranslate="mpmApp.vehicleDocumentRequirement.labelOtherNotes">Note Lain-lain</label>
							<label class="form-control-label ui-g-6">
								:
							</label>
						</div>
					</div>
				</div>
			</p-accordionTab>
			<p-accordionTab header="Detail CDB" *ngIf="!vehicleDocumentRequirement.organizationOwner">
				<jhi-isinama-edit-data-cdb 
				[idCustomer]="salesUnitRequirement.customerId" 
				[sur]="salesUnitRequirement" 
				[editabled] = "false"
				[dataStnk]="vehicleDocumentRequirement">
				</jhi-isinama-edit-data-cdb>
			</p-accordionTab>

			<p-accordionTab header="Detail CDB" *ngIf="vehicleDocumentRequirement.organizationOwner">
					<jhi-isinama-edit-data-cdb-gc 
					[idCustomer]="salesUnitRequirement.customerId" 
					[sur]="salesUnitRequirement" 
					[editabled] = "false"
					[dataStnk]="vehicleDocumentRequirement">
					</jhi-isinama-edit-data-cdb-gc>
				</p-accordionTab>
		</p-accordion>
	</div>
	<p-footer>
		<a class="btn btn-primary" (click)="previousState()">
			{{'mpmApp.vehicleDocumentRequirement.labelBack' | translate}}
		</a>
	</p-footer>
</p-panel>